aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-03-20 18:37:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-03-20 18:43:02 +0000
commit6d539efc7cd7c6d419ebde10c222be8f3f04938b (patch)
tree714c595ae6c0e1e7d081456a93b49930e76f879e
parentdc4120b2fe63fb5ab7479cf1dc8cf047a7a6083c (diff)
downloadaports-6d539efc7cd7c6d419ebde10c222be8f3f04938b.tar.bz2
main/[various]: set -e build fix
-rw-r--r--main/coreutils/APKBUILD2
-rw-r--r--main/elinks/APKBUILD2
-rw-r--r--main/fastjar/APKBUILD2
-rw-r--r--main/grep/APKBUILD3
-rw-r--r--main/groff/APKBUILD3
-rw-r--r--main/gzip/APKBUILD2
-rw-r--r--main/indent/APKBUILD3
-rw-r--r--main/libvirt/APKBUILD3
-rw-r--r--main/nagios-plugins/APKBUILD4
-rw-r--r--main/ncurses/APKBUILD2
-rw-r--r--main/parted/APKBUILD3
-rw-r--r--main/tar/APKBUILD2
12 files changed, 12 insertions, 19 deletions
diff --git a/main/coreutils/APKBUILD b/main/coreutils/APKBUILD
index 2604e4b..987333f 100644
--- a/main/coreutils/APKBUILD
+++ b/main/coreutils/APKBUILD
@@ -36,7 +36,7 @@ package() {
make DESTDIR="$pkgdir" install || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
install -d "$pkgdir"/bin "$pkgdir"/usr/sbin
cd "$pkgdir"/usr/bin/
diff --git a/main/elinks/APKBUILD b/main/elinks/APKBUILD
index 32206c7..48c8fb5 100644
--- a/main/elinks/APKBUILD
+++ b/main/elinks/APKBUILD
@@ -46,7 +46,7 @@ package() {
cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
#fix conflict with gettext
rm "$pkgdir"/usr/share/locale/locale.alias
}
diff --git a/main/fastjar/APKBUILD b/main/fastjar/APKBUILD
index 31cc92a..b7d4fbb 100644
--- a/main/fastjar/APKBUILD
+++ b/main/fastjar/APKBUILD
@@ -46,7 +46,7 @@ package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
return 0
}
diff --git a/main/grep/APKBUILD b/main/grep/APKBUILD
index 80ee404..b9d2749 100644
--- a/main/grep/APKBUILD
+++ b/main/grep/APKBUILD
@@ -30,8 +30,7 @@ package() {
cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
- return 0
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
}
sha512sums="0e9a00df9d492f399230bae0264942edaf64bb926f93edb7922f27b075a86ba0a78698f54996cc522b6261aa01a8ecbeadeb68523d4470a9941f242c3ae24c58 grep-3.0.tar.xz"
diff --git a/main/groff/APKBUILD b/main/groff/APKBUILD
index 41254bd..dfa22d7 100644
--- a/main/groff/APKBUILD
+++ b/main/groff/APKBUILD
@@ -27,8 +27,7 @@ package() {
cd "$srcdir/$pkgname-$pkgver"
make DESTDIR="$pkgdir" install
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
- return 0
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
}
md5sums="cc825fa64bc7306a885f2fb2268d3ec5 groff-1.22.3.tar.gz"
diff --git a/main/gzip/APKBUILD b/main/gzip/APKBUILD
index bdc22c5..c4e79ec 100644
--- a/main/gzip/APKBUILD
+++ b/main/gzip/APKBUILD
@@ -34,7 +34,7 @@ package() {
make DESTDIR=$pkgdir install
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
mkdir -p "$pkgdir"/bin
mv "$pkgdir"/usr/bin/gzip "$pkgdir"/usr/bin/gunzip "$pkgdir"/bin/
diff --git a/main/indent/APKBUILD b/main/indent/APKBUILD
index 0ce51e7..83f12ec 100644
--- a/main/indent/APKBUILD
+++ b/main/indent/APKBUILD
@@ -39,8 +39,7 @@ package() {
cd "$_builddir"
make SUBDIRS="intl po src man" DESTDIR="$pkgdir" install || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
- return 0
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
}
md5sums="98beafca62472805a3739d3867d5d70f indent-2.2.11.tar.gz"
diff --git a/main/libvirt/APKBUILD b/main/libvirt/APKBUILD
index 61b1325..c01c35d 100644
--- a/main/libvirt/APKBUILD
+++ b/main/libvirt/APKBUILD
@@ -71,8 +71,7 @@ package() {
echo "tun" > "$pkgdir"/etc/modules-load.d/libvirt.conf
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
- return 0
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
}
dev() {
diff --git a/main/nagios-plugins/APKBUILD b/main/nagios-plugins/APKBUILD
index accab6e..f64d6c7 100644
--- a/main/nagios-plugins/APKBUILD
+++ b/main/nagios-plugins/APKBUILD
@@ -81,9 +81,7 @@ package() {
done
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib "$pkgdir"/usr/include 2>/dev/null
-
- return 0
+ rmdir -p "$pkgdir"/usr/lib "$pkgdir"/usr/include 2>/dev/null || true
}
tcp() {
diff --git a/main/ncurses/APKBUILD b/main/ncurses/APKBUILD
index 002514e..833a119 100644
--- a/main/ncurses/APKBUILD
+++ b/main/ncurses/APKBUILD
@@ -42,7 +42,7 @@ package() {
# Install basic terms in /etc/terminfo
for i in ansi console dumb linux rxvt screen sun vt52 vt100 vt102 \
vt200 vt220 xterm xterm-color xterm-xfree86; do
- local termfile=$(find "$pkgdir"/usr/share/terminfo/ -name "$i" 2>/dev/null)
+ local termfile=$(find "$pkgdir"/usr/share/terminfo/ -name "$i" 2>/dev/null) || true
local basedir=$(basename $(dirname "$termfile"))
[ -z "$termfile" ] && continue
diff --git a/main/parted/APKBUILD b/main/parted/APKBUILD
index 85931f4..dbaac15 100644
--- a/main/parted/APKBUILD
+++ b/main/parted/APKBUILD
@@ -43,8 +43,7 @@ package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
- return 0
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
}
md5sums="0247b6a7b314f8edeb618159fa95f9cb parted-3.2.tar.xz
e87ffa1171acbebfa9d2475a093e7e64 fix-includes.patch"
diff --git a/main/tar/APKBUILD b/main/tar/APKBUILD
index 7512417..c111e56 100644
--- a/main/tar/APKBUILD
+++ b/main/tar/APKBUILD
@@ -46,7 +46,7 @@ package() {
make DESTDIR="$pkgdir/" install
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
mkdir "$pkgdir"/bin
mv "$pkgdir"/usr/bin/tar "$pkgdir"/bin/